com.amazonaws.services.codedeploy.model

## Class TagFilter

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.TagFilter

All Implemented Interfaces:
  Serializable, Cloneable

    public class TagFilter
    extends Object
    implements Serializable, Cloneable

Information about an on-premises instance tag filter.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TagFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TagFilter` `clone()`
`boolean` `equals(Object obj)`
`String` `getKey()` The on-premises instance tag filter key.
`String` `getType()` The on-premises instance tag filter type:
`String` `getValue()` The on-premises instance tag filter value.
`int` `hashCode()`
`void` `setKey(String key)` The on-premises instance tag filter key.
`void` `setType(String type)` The on-premises instance tag filter type:
`void` `setType(TagFilterType type)` The on-premises instance tag filter type:
`void` `setValue(String value)` The on-premises instance tag filter value.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TagFilter` `withKey(String key)` The on-premises instance tag filter key.
`TagFilter` `withType(String type)` The on-premises instance tag filter type:
`TagFilter` `withType(TagFilterType type)` The on-premises instance tag filter type:
`TagFilter` `withValue(String value)` The on-premises instance tag filter value.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TagFilter

    public TagFilter()

### Method Detail

#### setKey

    public void setKey(String key)

The on-premises instance tag filter key.

Parameters:
  `key` - The on-premises instance tag filter key.

#### getKey

    public String getKey()

The on-premises instance tag filter key.

Returns:
  The on-premises instance tag filter key.

#### withKey

    public TagFilter withKey(String key)

The on-premises instance tag filter key.

Parameters:
  `key` - The on-premises instance tag filter key.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setValue

    public void setValue(String value)

The on-premises instance tag filter value.

Parameters:
  `value` - The on-premises instance tag filter value.

#### getValue

    public String getValue()

The on-premises instance tag filter value.

Returns:
  The on-premises instance tag filter value.

#### withValue

    public TagFilter withValue(String value)

The on-premises instance tag filter value.

Parameters:
  `value` - The on-premises instance tag filter value.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setType

    public void setType(String type)

The on-premises instance tag filter type:

- KEY_ONLY: Key only.

- VALUE_ONLY: Value only.

- KEY_AND_VALUE: Key and value.

Parameters:
  `type` - The on-premises instance tag filter type:

  - KEY_ONLY: Key only.

  - VALUE_ONLY: Value only.

  - KEY_AND_VALUE: Key and value.

See Also:
  `TagFilterType`

#### getType

    public String getType()

The on-premises instance tag filter type:

- KEY_ONLY: Key only.

- VALUE_ONLY: Value only.

- KEY_AND_VALUE: Key and value.

Returns:
  The on-premises instance tag filter type:

  - KEY_ONLY: Key only.

  - VALUE_ONLY: Value only.

  - KEY_AND_VALUE: Key and value.

See Also:
  `TagFilterType`

#### withType

    public TagFilter withType(String type)

The on-premises instance tag filter type:

- KEY_ONLY: Key only.

- VALUE_ONLY: Value only.

- KEY_AND_VALUE: Key and value.

Parameters:
  `type` - The on-premises instance tag filter type:

  - KEY_ONLY: Key only.

  - VALUE_ONLY: Value only.

  - KEY_AND_VALUE: Key and value.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TagFilterType`

#### setType

    public void setType(TagFilterType type)

The on-premises instance tag filter type:

- KEY_ONLY: Key only.

- VALUE_ONLY: Value only.

- KEY_AND_VALUE: Key and value.

Parameters:
  `type` - The on-premises instance tag filter type:

  - KEY_ONLY: Key only.

  - VALUE_ONLY: Value only.

  - KEY_AND_VALUE: Key and value.

See Also:
  `TagFilterType`

#### withType

    public TagFilter withType(TagFilterType type)

The on-premises instance tag filter type:

- KEY_ONLY: Key only.

- VALUE_ONLY: Value only.

- KEY_AND_VALUE: Key and value.

Parameters:
  `type` - The on-premises instance tag filter type:

  - KEY_ONLY: Key only.

  - VALUE_ONLY: Value only.

  - KEY_AND_VALUE: Key and value.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TagFilterType`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TagFilter clone()

Overrides:
  `clone` in class `Object`